"{ Package: 'stx:libbasic' }"

SharedPool subclass:#Win32Constants
	instanceVariableNames:''
	classVariableNames:'FILE_ATTRIBUTE_HIDDEN FILE_ATTRIBUTE_NORMAL
		FILE_ATTRIBUTE_TEMPORARY FILE_ATTRIBUTE_DIRECTORY
		FILE_ATTRIBUTE_READONLY'
	poolDictionaries:''
	category:'OS-Windows'
!

!Win32Constants class methodsFor:'documentation'!

documentation
"
    contains (will, eventually) win32 OS constants.
"
! !

!Win32Constants class methodsFor:'initialization'!

initialize
    "Invoked at system start or when the class is dynamically loaded."

    FILE_ATTRIBUTE_READONLY := 1.
    FILE_ATTRIBUTE_HIDDEN := 2.
    FILE_ATTRIBUTE_DIRECTORY := 16.
    FILE_ATTRIBUTE_NORMAL := 128.
    FILE_ATTRIBUTE_TEMPORARY := 256.
! !

!Win32Constants class methodsFor:'documentation'!

version_CVS
    ^ '$Header: /cvs/stx/stx/libbasic/Win32Constants.st,v 1.2 2009-10-28 13:31:14 cg Exp $'
! !

Win32Constants initialize!
